Circulation< GR, LM, UM, SM, TR >::SetFlowMap< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
Circulation< GR, LM, UM, SM, TR >::SetFlowMap< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename LM, typename UM, typename SM, typename TR>
template<typename T>
struct lemon::Circulation< GR, LM, UM, SM, TR >::SetFlowMap< T >

Named parameter for setting FlowMap type.

`#include <lemon/circulation.h>`

Inheritance diagram for Circulation< GR, LM, UM, SM, TR >::SetFlowMap< T >:
[legend]

## Additional Inherited Members
Public Types inherited from Circulation< Digraph, LowerMap, UpperMap, SupplyMap, SetFlowMapTraits< T > >
typedef SetFlowMapTraits< T > | Traits
| The traits class of the algorithm.
typedef Traits::Digraph | Digraph
| The type of the digraph the algorithm runs on.
typedef Traits::Value | Value
| The type of the flow and supply values.
typedef Traits::LowerMap | LowerMap
| The type of the lower bound map.
typedef Traits::UpperMap | UpperMap
| The type of the upper bound (capacity) map.
typedef Traits::SupplyMap | SupplyMap
| The type of the supply map.
typedef Traits::FlowMap | FlowMap
| The type of the flow map.
typedef Traits::Elevator | Elevator
| The type of the elevator.
typedef Traits::Tolerance | Tolerance
| The type of the tolerance.
Public Member Functions inherited from Circulation< Digraph, LowerMap, UpperMap, SupplyMap, SetFlowMapTraits< T > >
| Circulation (const Digraph &graph, const LowerMap &lower, const UpperMap &upper, const SupplyMap &supply)
| Constructor. More...
| ~Circulation ()
| Destructor.
Circulation & | lowerMap (const LowerMap &map)
| Sets the lower bound map. More...
Circulation & | upperMap (const UpperMap &map)
| Sets the upper bound (capacity) map. More...
Circulation & | supplyMap (const SupplyMap &map)
| Sets the supply map. More...
Circulation & | flowMap (FlowMap &map)
| Sets the flow map. More...
Circulation & | elevator (Elevator &elevator)
| Sets the elevator used by algorithm. More...
const Elevator & | elevator () const
| Returns a const reference to the elevator. More...
Circulation & | tolerance (const Tolerance &tolerance)
| Sets the tolerance used by the algorithm. More...
const Tolerance & | tolerance () const
| Returns a const reference to the tolerance. More...
const FlowMap & | flowMap () const
| Returns a const reference to the flow map. More...
Value | flow (const Arc &arc) const
| Returns the flow value on the given arc. More...
bool | barrier (const Node &node) const
| Returns `true` if the given node is in a barrier. More...
void | barrierMap (BarrierMap &bar) const
| Gives back a barrier. More...
void | init ()
| Initializes the internal data structures. More...
void | greedyInit ()
| Initializes the internal data structures using a greedy approach. More...
bool | start ()
| Executes the algorithm. More...
bool | run ()
| Runs the algorithm. More...
bool | checkFlow () const
| Check if the found flow is a feasible circulation. More...
bool | checkBarrier () const
| Check whether or not the last execution provides a barrier. More...